<?php

namespace App\Http\Controllers\Patient;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;
use Prologue\Alerts\Facades\Alert;

class AccountController extends Controller
{
    public function __construct(){

    	$this->middleware('auth');
    	$this->middleware('role:user');
    }

    public function index(){

    	return view('user.profile.index');
    }

    public function dashboard(){
    	return view('user.dashboard');
    }

    public function update(Request $request){
    	$this->validate($request, []);

    	$user = User::find(auth()->id());

    	$user->name = $request->firstname;
    	$user->last_name = $request->lastname;
    	$user->street_address = $request->street_address;
    	$user->city = $request->city;
    	$user->state = ucfirst($request->state);

    	$user->save();

    	Alert::success('Profile Updated successfully')->flash();
    	return back();
    }
}
