<?php

namespace App\Http\Controllers\Patient;

use App\Http\Controllers\Controller;
use App\Order;
use App\User;
use Illuminate\Http\Request;
use Prologue\Alerts\Facades\Alert;

class OrderController extends Controller
{
	protected $user;

	public function __construct(User $user){
        $this->middleware('role:user');
		$this->user = $user;

	}
    public function index($status=NULL){
    	$user = auth()->user();
    	if ($status === "pending"){
    		$data['orders'] = $user->orders()->where('status', 1)->latest()->paginate(30);
    		return view('user.orders.pending', $data);
    	}else{
    		$data['orders'] = $user->orders()->where('status', 2)->latest()->paginate(30);
    		return view('user.orders.processed', $data);
    	}

    }

    public function show($id){
    	$user = auth()->user();
    	$order = $user->orders()->findOrFail($id);
    	$data['order'] = $order;
    	return view('user.orders.orderdetail', $data);
    }

    public function confirmOrder($id){
    	$user = auth()->user();
    	$order = $user->orders()->findOrFail($id);
    	if ($order->isPending()){
    		$order->markComplete();
    	}
    	Alert::success("You have confirmed your order. Thank you")->flash();
    	return redirect('patient/orders/processed');
    }
}
