<?php

namespace App\Http\Controllers\Pharmacy;

use App\Company;
use App\Http\Controllers\Controller;
use App\Order;
use Illuminate\Http\Request;

class OrderController extends Controller
{
	/**
	 * @var App\Order
	 */
	protected $order;
    protected $company;
    public function __construct(Order $order, Company $company){
    	$this->order = $order;
        $this->company = $company;
    }

    /**
     * Display all orders with pagination
     * @return view
     */
    public function index(){
    	$data['orders'] = $this->order->latest()->paginate(20);
        // return view('pharmacist.orders.index', $data);
    }

    public function pending(){
    	// $data['orders'] = $this->order->getPendingOrdersByCompanyId(auth()->user()->company->id);
        $company = $this->company->find(auth()->user()->company->id);
    	$data['orders'] = $company->pendingOrders();
        $data['title'] = "Pending Orders";
    	return view('pharmacist.orders.index', $data);
    }

    public function completed(){
        $company = $this->company->find(auth()->user()->company->id);
    	$data['orders'] = $company->completedOrders();
        $data['title'] = "Completed Orders";
    	return view('pharmacist.orders.index', $data);
    }

    public function confirm($id){
    	$this->order->markComplete($id);
    }

    public function show($id){
        $data['order'] = $this->order->getById($id);
        return view('pharmacist.orders.orderdetail', $data);
    }
}
