<?php

namespace App\Http\Controllers;

use App\Category;
use App\Company;
use App\Stock;
use Illuminate\Http\Request;

class SearchController extends Controller
{
    public function search(Request $request){

    	$q = $request->input('query');
    	// $state = $request->input('state');
    	// $city = $request->input('city');
    	$limit = $request->input("limit", 8);

        // drugname, brand, pharmacy or category
    	// $pharms = Company::when($q, function($query) use ($q){
    	// 	$query->where('company_name', "LIKE", "%$q%");
    	// })->when($state, function($query) use ($state){
    	// 	$query->where('state', "LIKE", "%$state%");
    	// })->when($city, function($query) use ($city){
    	// 	$query->where('city', "LIKE", "%$city%");
    	// })->orderBy('company_name', "ASC")
    	// ->paginate($limit);

        $pharms = Company::whereHas('stocks', function($query) use($q){
            $query->where('name', 'LIKE', "%$q%")->orWhere('brand', 'LIKE', "%$q%");
        })->orWhere('company_name', "LIKE", "%$q%")
        ->orWhereHas('stocks', function($query) use($q){
            $query->whereHas('category', function($db) use($q){
                $db->where('name', 'LIKE', "%$q%");
            });
        })
        ->paginate($limit);

        $drugs = Stock::where('name', 'LIKE', "%$q%")->orWhere('brand', 'LIKE', "%$q%")->paginate($limit);

        // $data['state'] = $state;
        // $data['city'] = $city;
    	$data['companies'] = $pharms;
        $data['stocks'] = $drugs;
    	$data['query'] = $q;
    	$data['title'] = "Search Results";// in $state ($city)";
        $data['categories'] = Category::whereHas('stocks')->get();

    	return view('locationsearchresults', $data)->render();

    }
}
