<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Http\Request;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class PharmacyRegistration extends Mailable
{
    use Queueable, SerializesModels;

    protected $user;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(Request $user)
    {
        $this->user = $user;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Pharmacy Registration Request')
                    ->view('mails.pharmacyregistration')
                    ->with([
                        'personal_name' => $this->user->personal_name,
                        'email' => $this->user->email,
                        'pharmacy_name' => $this->user->pharmacy_name,
                        'phone' => $this->user->phone]);
    }
}
