<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Stock extends Model
{
    public function company(){
    	return $this->belongsTo(Company::class);
    }

    public function getById($id){
    	return $this->where('id', $id)->firstOrFail();
    }

    public function getByName($name)
    {
        return $this->where('name', $name)->firstOrFail();
    }

    public function getBySlug($slug)
    {
        return $this->where('slug', $slug)->firstOrFail();
    }

    public function outputPrice(){
    	return config('sitedata.currency', 'NGN') . "" . number_format($this->price);
    }

    public function category()
    {
        return $this->belongsTo(Category::class);
    }
}
